Subject: Re: [MOBILE-IP] Dial-up scenario with Mobile IP - help needed

From: "Casati, Alessio (Alessio)" <[email-masked]>
Date: Fri, 13 Aug 1999 18:59:55 +0100

> Is a double authentication needed:
> 1) with PPP/RADIUS to access the link layer
> 2) with the FA to be able to register the FCoA with the HA
>
Although I'm not in the dial-up business, I expect this to
be a healthy procedure. This would allow only authenticated
users to send packets over the PPP link, which operationally
is a valuable thing.

However one may think a close interaction between the FA
logic and the NAS may let to skip the PPP authentication phase.
This may depend on the deployment scenario (for instance, when
only MIP users can possibly dial-up, probably skipping
the PPP authentication phase may be possible).

In the general case, I would say CHAP (EAP) is used for user
authentication after the Link establishment phase.
The AAA protocol used for dial-up may be RADIUS,DIAMETER or whatever.
Then IPCP with MIPv4 option must be used so that MIP capability is detected
and no address is assigned in the IPCP phase in case FA COA is
used.
Here the issue raised by Jonas Malmquist comes into play
(that is the zero Home address is not allowed by RFC2290 and
a zero Home address is what the MN has when it requests a dynamic
Home address assignment). I haven't followed how this ended
and whether a solution now exists.

After the IPCP phase, MIP registration&authentication would happen.

alessio